/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or look at http://www.gnu.org/copleft/lesser.html.
 *
 * version $Id: RMIClientException.java,v 1.5 2003/04/13 21:13:38 joerg Exp $
 ******************************************************************************/

package de.iiit.access.common.api;

/** This exception is thrown when there is an communication error between the 
 * RMIClient and the RMIServer.
 * @version $Revision: 1.5 $ $Date: 2003/04/13 21:13:38 $
 */
public class RMIClientException extends java.lang.Exception
{
    
    /**
     * Creates a new instance of <code>ClientException</code> without detail message.
     */
    public RMIClientException()
    {
    }
    
    
    /**
     * Constructs an instance of <code>ClientException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public RMIClientException(String msg)
    {
        super(msg);
    }

    /**
     * Constructs a new exception with the specified detail message and cause.
     * Note that the detail message associated with cause is not automatically 
     * incorporated in this exception's detail message. 
     * @param msg the detail message.
     * @param cause the cause (which is saved for later retrieval by the 
     *              Throwable.getCause() method). (A null value is permitted, 
     *              and indicates that the cause is nonexistent or unknown.)
     */
    public RMIClientException(String msg, Throwable cause)
    {
        super(msg, cause);
    }

}

/**
 * $Log: RMIClientException.java,v $
 * Revision 1.5  2003/04/13 21:13:38  joerg
 * Copyright statements changed to LGPL
 *
 * Revision 1.4  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.3  2003/04/07 20:08:49  joerg
 * Improved JavaDoc.
 *
 */


