/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or look at http://www.gnu.org/copleft/lesser.html.
 *
 * version $Id: RMISessionIf.java,v 1.5 2003/04/13 21:13:38 joerg Exp $
 ******************************************************************************/

package de.iiit.access.common.api;

import java.rmi.Remote;
import java.rmi.RemoteException;


/** This interface describes the public API of the RMI session.
 * @version $Revision: 1.5 $ $Date: 2003/04/13 21:13:38 $
 */
public interface RMISessionIf extends Remote
{
    /** Evaluates one expression.
     * @param expr the expression to evaluate
     * @throws RemoteException if an RMI error occurs.
     * @throws RMIParserException if a ParserException occurs on the server side.
     * @return true if the user is member of the set described by the expression and false
     * otherwise.
     */    
    public boolean resolveExpr(String expr) throws RemoteException, ParserException;
    
}

/**
 * $Log: RMISessionIf.java,v $
 * Revision 1.5  2003/04/13 21:13:38  joerg
 * Copyright statements changed to LGPL
 *
 * Revision 1.4  2003/04/13 21:09:56  joerg
 * Package structure modified
 *
 * Revision 1.3  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.2  2003/04/07 20:08:49  joerg
 * Improved JavaDoc.
 *
 * Revision 1.1  2003/03/30 20:42:39  joerg
 * Interfaces of the RMIServer
 *
 */
