/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * version $Id: ThreadPluginIf.java,v 1.4 2003/04/13 20:16:41 joerg Exp $
 ******************************************************************************/

package de.iiit.access.server.api;

/** Classes implementing this interfaces can be loaded as plug-ins into the
 * AccessServer. The plug-in can start its own background thread.
 * @version $Revision: 1.4 $ $Date: 2003/04/13 20:16:41 $
 */
public interface ThreadPluginIf extends AccessServerPluginIf
{
    /** This method is called by the AccessServer when the background thread should
     * start. It is called after the method initialize() is called for all plug-ins.
     */    
    public void start();
    
    /** This method is called by the AccessServer when the background threads should
     * stop because of a shutdown of the AccessServer itself.
     */
    public void shutdown();
}

/**
 * $Log: ThreadPluginIf.java,v $
 * Revision 1.4  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.3  2003/01/01 21:04:17  joerg
 * Copyright-Statement aktualisiert
 *
 * Revision 1.2  2002/12/22 20:44:58  joerg
 * shutdown()-Methode eingebaut
 *
 * Revision 1.1  2002/12/19 15:24:23  joerg
 * Reparatur des CVS-Repositories
 *
 * Revision 1.5  2002/12/09 21:11:34  joerg
 * AccessServerThreadPluginIf umbenannt in ThreadPluginIf
 *
 * Revision 1.4  2002/12/09 19:29:17  joerg
 * Versionsdaten in allen JavaDoc-Klassenbeschreibungen ergaenzt
 *
 * Revision 1.3  2002/12/09 16:32:26  joerg
 * JavaDoc Kommentare ergaenzt
 *
 * Revision 1.2  2002/12/08 13:49:16  joerg
 * Erweitert jetzt das normale Plugin-Interface
 *
 * Revision 1.1  2002/11/18 22:15:26  joerg
 * Allgemeine Interfaces fuer PlugIns
 *
 */
